Skip to main content
POST
Replace the permissions a service account holds
No plan can call this operation today. It needs a personal access token, and Nitsor does not issue personal access tokens.

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The service account's id.

Required string length: 1 - 200

Body

application/json
accountPermissions
enum<string>[]
required
Available options:
account:read,
account:update,
members:read,
members:write,
billing:read,
billing:write,
storage:read,
storage:write,
sources:register,
sources:browse,
notifications:read,
notifications:write,
projects:read,
projects:write,
work:contribute,
clearance:write,
service-accounts:manage
idempotencyKey
string
required
Required string length: 1 - 200

Response

Replace the permissions a service account holds

added
enum<string>[]
required
Available options:
account:read,
account:update,
members:read,
members:write,
billing:read,
billing:write,
storage:read,
storage:write,
sources:register,
sources:browse,
notifications:read,
notifications:write,
projects:read,
projects:write,
work:contribute,
clearance:write,
service-accounts:manage
changed
boolean
required
removed
enum<string>[]
required
Available options:
account:read,
account:update,
members:read,
members:write,
billing:read,
billing:write,
storage:read,
storage:write,
sources:register,
sources:browse,
notifications:read,
notifications:write,
projects:read,
projects:write,
work:contribute,
clearance:write,
service-accounts:manage
serviceAccount
object
required